#!/bin/bash


if [ $# -eq 2 ]; then
  raw=$1
  termlist=$2
else 

  if [ $# -eq 3 ]; then 
    raw=$1
    termlist=$2
    threshold=$3
  else
    echo "Wrong number of parameters in `basename $0`"
    exit
  fi
fi

sysid=`basename $raw .txt | tr -d '\.'`




echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" 
echo "<stdlist termlist_filename=\"$termlist\" indexing_time=\"1.000\" language=\"en\" index_size=\"1\" system_id=\"$sysid\">" 

for qName in `grep "termid=" $termlist | cut -d\" -f2`; do

    
    echo "<detected_termlist termid=\"$qName\" term_search_time=\"1.000\" oov_term_count=\"1\">"
    
    if [ ! -z $threshold ]; then
      grep "^$qName " $raw | \
      awk '{printf $1" "$2" "$3" "$4" ";printf("%.6f\n",$5)}' | \
      awk 'BEGIN{th='$threshold'}{if ($5>th) dec="YES"; else dec="NO"; print "<term file=\""$2"\" channel=\"1\" tbeg=\""$3"\" dur=\""$4"\" score=\""$5"\" decision=\""dec"\"/>"}' 
    else
      grep "^$qName " $raw | \
      awk '{printf $1" "$2" "$3" "$4" ";printf("%.6f ",$5); print $6;}' | \
      awk '{if ($6==1) dec="YES"; else dec="NO"; print "<term file=\""$2"\" channel=\"1\" tbeg=\""$3"\" dur=\""$4"\" score=\""$5"\" decision=\""dec"\"/>"}' 
    fi
    echo "</detected_termlist>" 

done

echo "</stdlist>" 
